Java-Erlang Interface Library: Class GenericQueue

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class GenericQueue

    java.lang.Object
      |
      +--com.ericsson.otp.erlang.GenericQueue

public class GenericQueue
extends java.lang.Object

This class implements a generic FIFO queue. There is no upper bound on the length of the queue, items are linked.

Constructor Summary
`GenericQueue()` Create an empty queue

Method Summary
`void` | `close()`
`void` | `flush()` Clear a queue
`java.lang.Object` | `get()` Retrieve an object from the head of the queue, or block until one arrives.
`java.lang.Object` | `get(long timeout)` Retrieve an object from the head of the queue, blocking until one arrives or until timeout occurs.
`int` | `getCount()`
`void` | `put(java.lang.Object o)` Add an object to the tail of the queue.
`java.lang.Object` | `tryGet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericQueue

    public GenericQueue()

  Create an empty queue

Method Detail

### flush

    public void flush()

  Clear a queue

### close

    public void close()

### put

    public void put(java.lang.Object o)

  Add an object to the tail of the queue.
  Parameters:
    `o` - Object to insert in the queue

### get

    public java.lang.Object get()

  Retrieve an object from the head of the queue, or block until one arrives.
  Returns:
    The object at the head of the queue.

### get

    public java.lang.Object get(long timeout)
                         throws java.lang.InterruptedException

  Retrieve an object from the head of the queue, blocking until one arrives or until timeout occurs.
  Parameters:
    `timeout` - Maximum time to block on queue, in ms. Use 0 to poll the queue.
  Returns:
    The object at the head of the queue, or null if none arrived in time.
  Throws:
    `java.lang.InterruptedException` - if the operation times out.

### tryGet

    public java.lang.Object tryGet()

### getCount

    public int getCount()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD